Subject: Re: [DNSOP] draft-wkumari-dnsop-internal and DNAME

From: Stephane Bortzmeyer <[email-masked]>
Date: Fri, 5 Jan 2018 12:11:58 +0100

On Sun, Nov 12, 2017 at 10:50:51AM +0800,
 Kim Davies <[email-masked]> wrote 
 a message of 32 lines which said:

> Allowing DNAME records in the root zone is adding a new concept into
> root zone management that hasn't been catered to before. Just one of
> the many things that would need to be looked at is how to transmit
> DNAME provisioning requests via EPP. I don't know if there is even
> an EPP mapping for this.

On this last point, here is a proposal:

https://datatracker.ietf.org/doc/draft-bortzmeyer-regext-epp-dname/

---

From: Petr Špaček <[email-masked]>
Date: Fri, 5 Jan 2018 12:55:37 +0100

On 12.11.2017 04:26, Joe Abley wrote:
> On Nov 12, 2017, at 10:51, Kim Davies <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
> We haven't studied what would be involved, but I feel confident in
>> predicting the whole exercise would be non-trivial.
> 
> It seems to me that you could implement this using lawyers as easily as
> you could using developers; it is after all arguably a static change in
> procedure that doesn't need to be especially repeatable. If the root
> zone maintainer is contracted to include a record, surely the record
> will be included. 
> 
> However, I think the more general idea that queries for internal names
> should be leaked towards unknown AS112 operators is problematic. As an
> end-user I would prefer my leaked queries to be jealously hoarded by one
> of twelve root server operators than an inbound number of anonymous and
> potentially ephemeral AS112 operators.
> 
> The potential for complete data collection at the root servers goes down
> as resolvers implement aggressive NSEC caching. In the case of a

Unfortunatelly aggressive use of NSEC will not help because the name
will exist (either with NS or DNAME).

I wonder whether this is sufficient reason not to request the delegation
and let users to configure an exception for .internal (which is needed
anyway). This needs more thought.

Petr Špaček  @  CZ.NIC

> delegation or redirection, that potential is reduced since the
> non-existence of individual names under internal is then the thing that
> is cached, not the non-existence of the right-most label in the namespace.
> 
> 
> Joe

---

From: Warren Kumari <[email-masked]>
Date: Fri, 5 Jan 2018 08:55:53 -0500

... so, after the reception this document received in Singapore
(IETF100) I've decided to abandon doing this work in the IETF.

I may still push it in the ICANN world, but not sure I have the
stomach for that.

Sorry for wasting people's / the WGs time,
W

On Fri, Jan 5, 2018 at 6:55 AM, Petr Špaček <[email-masked]> wrote:
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf